import { cn } from "@/i18n/util/cn";
import { HTMLAttributes } from "react";

interface Props extends HTMLAttributes<HTMLHeadingElement> {
  short?: boolean;
}

export default function SectionHeader({
  children,
  className,
  short,
  ...rest
}: Props) {
  return (
    <div
      className={cn("relative h-2 bg-accent-1", {
        "mx-auto max-w-[72.25rem]": short,
      })}
    >
      <h2
        className="absolute left-1/2 top-0 min-w-[20rem] max-w-fit -translate-x-1/2 -translate-y-1/2 rounded-full bg-accent-1 px-m-l py-xs-s text-center text-lg text-gray-50"
        {...rest}
      >
        {children}
      </h2>
    </div>
  );
}
