import { TService } from "@/lib/types";
import Image from "next/image";

type Props = {
  service: TService;
};

export default function ServiceCard({ service }: Props) {
  return (
    <div className="flex flex-col items-center">
      <div
        className="flex aspect-square w-full max-w-[200px] items-center justify-center rounded-2xl border-2 border-accent-1 bg-secondary-1 p-s-m drop-shadow-md"
        aria-describedby={service.name}
      >
        <div className="relative aspect-square w-full">
          <Image
            src={service.icon_url ?? ""}
            alt={service.name ?? ""}
            fill
            className="object-contain"
          />
        </div>
      </div>
      <h3
        id={service.name}
        className="mt-2xs-xs text-center text-base font-light text-secondary-1"
      >
        {service.name}
      </h3>
    </div>
  );
}
