import { useTranslations } from "next-intl";
import Logo from "../logo";
import NavigationItem, {
  TNavigationItem,
} from "../header/components/navigation-item";

export default function Footer() {
  const t = useTranslations("footer");
  const links: TNavigationItem[] = [
    {
      section: "about-us",
      title: t("about-us"),
      href: "#about-us",
    },
    {
      section: "services",
      title: t("services"),
      href: "#services",
    },
    {
      section: "reviews",
      title: t("reviews"),
      href: "#reviews",
    },
    {
      section: "mobile-application",
      title: t("download-app"),
      href: "#mobile-application",
    },
  ] as const;

  return (
    <div className="border-t-8 border-accent-1 bg-secondary-1 px-m-l py-m-l">
      <footer className="mx-auto flex max-w-supported items-center justify-between gap-m-l max-[360px]:flex-col max-[360px]:text-center">
        <nav>
          <ul className="flex flex-col gap-3xs-2xs">
            {links.map((item, index) => (
              <li key={index}>
                <NavigationItem item={item} />
              </li>
            ))}
          </ul>
        </nav>

        <Logo size={180} />
      </footer>
    </div>
  );
}
