"use client";

import { Locale } from "@/i18n/config";
import { Link, usePathname } from "@/i18n/navigation";
import { cn } from "@/i18n/util/cn";
import { useLocale } from "next-intl";
import { LinkProps } from "next/link";

interface Props extends Omit<LinkProps, "locale" | "href"> {
  className?: string;
}

export default function LanguageSwitcher({ className, ...rest }: Props) {
  const pathname = usePathname();
  const locale = useLocale() as Locale;

  return (
    <Link
      href={pathname}
      locale={locale === "en" ? "ar" : "en"}
      className={cn(
        "flex h-[2.5rem] w-[2.5rem] items-center justify-center rounded-full text-base text-gray-50 transition-all hover:bg-accent-1",
        className,
      )}
      {...rest}
    >
      {locale === "en" ? "ع" : "EN"}
    </Link>
  );
}
