import { fetchApi } from "@/lib/api/server-side";

export default async function Hero() {
  const res = await fetchApi("banner-video");
  if (!res.ok) {
    console.error(
      "failed to fetch 'banner-video' data because ",
      res.statusText,
    );
    return <></>;
  }

  const video = (await res.json())?.video_url as string | undefined;
  if (!video) {
    console.error("'banner-video' response is not in the expected format");
    return <></>;
  }

  return (
    <section className="flex justify-center drop-shadow-lg dark:drop-shadow-none">
      <video
        autoPlay
        muted
        loop
        playsInline
        className="aspect-[16/7] object-cover"
      >
        <source src={video} type="video/mp4" />
      </video>
    </section>
  );
}
