import Image from "next/image";
import logo from "../../../../public/assets/images/logo-01.svg";
import { useTranslations } from "next-intl";

type Props = {
  size?: number;
};

export default function Logo({ size }: Props) {
  const t = useTranslations();
  return <Image src={logo} alt={t("logo")} width={size ?? 150} sizes="150px" />;
}
