import { useTranslations } from "next-intl";
import slogan from "../../../../public/assets/images/slogan.svg";
import Image from "next/image";
import { HTMLAttributes } from "react";
import { cn } from "@/i18n/util/cn";

export default function Slogan({
  className,
  ...rest
}: HTMLAttributes<HTMLElement>) {
  const t = useTranslations("slogan");

  return (
    <div className={cn("flex flex-col items-center", className)}>
      <h1 className="text-xl text-accent-1">{t("your-companion")}</h1>
      <Image src={slogan} alt={t("slogan")} width={180} sizes="180px" />
    </div>
  );
}
