import { notFound } from 'next/navigation';
import { getRequestConfig } from 'next-intl/server';

export default getRequestConfig(async ({ locale }) => {
  // Validate that the incoming `locale` parameter is valid
  if (!i18nConfig.locales.includes(locale as any)) notFound();

  return {
    messages: (await import(`./translations/${locale}.json`)).default,
  };
});

export const i18nConfig = {
  locales: ['en', 'ar'],
  defaultLocale: 'en',
} as const;

export type Locale = (typeof i18nConfig)['locales'][number];
