import { useActiveSection } from "@/context/active-section";
import { useEffect } from "react";
import { useInView } from "react-intersection-observer";
import { TSectionName } from "../types";

export function useSectionInView(sectionName: TSectionName, threshold = 0.7) {
    const { ref, inView } = useInView({
        threshold,
    });
    const { setActiveSection, timeOfLastClick } = useActiveSection();

    useEffect(() => {
        if (inView && Date.now() - timeOfLastClick > 1000) {
            setActiveSection(sectionName);
        }
    }, [inView, setActiveSection, timeOfLastClick, sectionName]);

    return {
        ref,
    };
}
