import { Locale } from "@/i18n/config";
import { StaticImport } from "next/dist/shared/lib/get-img-props";
import { ReactNode } from "react";

export interface IBasePageProps {
  params: {
    locale: Locale;
  };
}

export interface IBaseLayoutProps extends IBasePageProps {
  children: ReactNode;
}

export type TService = {
  name?: string;
  type?: "f" | "n";
  image_url?: string;
  icon_url?: string;
};

export type TSectionName = (typeof sections)[number];

export type TReview = {
  id?: number;
  image?: string;
};
